## kmahjongg 23.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KMAHJONGG_BASE_VERSION once new features are added
set(KMAHJONGG_BASE_VERSION "0.9")
set(KMAHJONGG_VERSION "${KMAHJONGG_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(kmahjongg VERSION ${KMAHJONGG_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.91.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

if(ENABLE_CLAZY)
    set(CMAKE_CXX_COMPILER clazy)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(FeatureSummary)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Svg)
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    CoreAddons
    Crash
    DBusAddons
    DocTools
    NewStuff
    XmlGui
)

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(KMahjongglib6 5.1.0 REQUIRED)
    find_package(KDEGames6 7.5.0 REQUIRED)
else()
    find_package(KF5KMahjongglib 5.1.0 REQUIRED)
    find_package(KF5KDEGames 7.3.0 REQUIRED)
endif()

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.91
    KDEGAMES 7.3
)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(layouts)
add_subdirectory(doc)

########### install files ###############

install(PROGRAMS org.kde.kmahjongg.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kmahjongg.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
kdoctools_install(po)

########### Display Summary ###############
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmahjongg (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:01:06 +0100

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5kdegames-dev (>= 4:23.08.1~),
               libkf5kmahjongglib-dev (>= 4:23.08.1~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 23.08.4

=== debian/changelog ===
kmahjongg (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:17:14 +0000

kmahjongg (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:37:08 +0000

kmahjongg (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:33:09 +0100

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5declarative-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
-               libkf5kmahjongglib-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
+               libkf5kmahjongglib-dev (>= 4:23.08.4~),
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                libqt5svg5-dev (>= 5.15.2~),

## kmahjongg 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMAHJONGG_BASE_VERSION once new features are added

=== debian/changelog ===
kmahjongg (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:42:53 +0200

kmahjongg (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:07:25 +0000

kmahjongg (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:07:18 +0000

kmahjongg (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:04:58 -0700

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5declarative-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.4~),
-               libkf5kmahjongglib-dev (>= 4:23.08.4~),
+               libkf5kdegames-dev (>= 4:23.08.5~),
+               libkf5kmahjongglib-dev (>= 4:23.08.5~),
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                libqt5svg5-dev (>= 5.15.2~),

## kmahjongg 24.08.2

=== debian/changelog ===
kmahjongg (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:56:54 -0500

kmahjongg (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 00:11:59 -0500

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev,
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6declarative-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkmahjongg-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf6, ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 24.12.0

=== debian/changelog ===
kmahjongg (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:15:31 +0000

kmahjongg (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:10:35 +0000

kmahjongg (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 11:57:13 +0000

kmahjongg (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:42:58 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev,
+               libkdegames6-dev (>= 4:24.12.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -22,7 +22,7 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkmahjongg-dev,
+               libkmahjongg-dev (>= 4:24.12.0~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),

## kmahjongg 24.12.1

=== debian/changelog ===
kmahjongg (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 18:15:42 +0100

kmahjongg (4:24.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 21 Dec 2024 08:52:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kmahjongg
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -12,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:24.12.0~),
+               libkdegames6-dev,
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -22,15 +21,15 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkmahjongg-dev (>= 4:24.12.0~),
+               libkmahjongg-dev,
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmahjongg
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmahjongg.git
 
 Package: kmahjongg
 Architecture: any

## kmahjongg 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KMAHJONGG_BASE_VERSION once new features are added
set(KMAHJONGG_BASE_VERSION "0.9")
set(KMAHJONGG_VERSION "${KMAHJONGG_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(kmahjongg VERSION ${KMAHJONGG_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

if(ENABLE_CLAZY)
    set(CMAKE_CXX_COMPILER clazy)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Svg
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    NewStuff
    XmlGui
)

find_package(KMahjongglib6 6.0.0 REQUIRED)
find_package(KDEGames6 6.0.0 REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 6.0
    KDEGAMES 6.0
)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(layouts)
add_subdirectory(doc)

########### install files ###############

install(PROGRAMS org.kde.kmahjongg.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kmahjongg.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
kdoctools_install(po)

########### Display Summary ###############
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmahjongg (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version of libkdegames and libkmahjongg.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 16:12:53 +0000

kmahjongg (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:55:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kmahjongg
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -11,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev,
+               libkdegames6-dev (>= 4:24.12.3~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -21,15 +22,15 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkmahjongg-dev,
+               libkmahjongg-dev (>= 4:24.12.3~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmahjongg
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmahjongg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
 
 Package: kmahjongg
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf6

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DKDE_INSTALL_BINDIR=/usr/games

## kmahjongg 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMAHJONGG_BASE_VERSION once new features are added
@@ -34,6 +34,8 @@
 include(ECMDeprecationSettings)
 include(FeatureSummary)
 
+option(BUILD_DOC "Whether to build the documentation" ON)
+
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
     Core
     Gui
@@ -45,7 +47,6 @@
     CoreAddons
     Crash
     DBusAddons
-    DocTools
     I18n
     NewStuff
     XmlGui
@@ -53,6 +54,14 @@
 
 find_package(KMahjongglib6 6.0.0 REQUIRED)
 find_package(KDEGames6 6.0.0 REQUIRED)
+
+if(BUILD_DOC)
+    find_package(KF6DocTools ${KF_MIN_VERSION})
+    set_package_properties(KF6DocTools PROPERTIES
+        DESCRIPTION "Tools to generate documentation"
+        TYPE REQUIRED
+    )
+endif()
 
 ecm_set_disabled_deprecation_versions(
     QT 6.5
@@ -63,15 +72,18 @@
 add_subdirectory(src)
 add_subdirectory(icons)
 add_subdirectory(layouts)
-add_subdirectory(doc)
 
 ########### install files ###############
 
 install(PROGRAMS org.kde.kmahjongg.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.kmahjongg.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
+if(BUILD_DOC)
+    add_subdirectory(doc)
+    kdoctools_install(po)
+endif()
+
 ki18n_install(po)
-kdoctools_install(po)
 
 ########### Display Summary ###############
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
ecm_setup_version(${KMAHJONGG_VERSION}
    VARIABLE_PREFIX KMAHJONGG
    VERSION_HEADER kmahjongg_version.h
)

add_executable(kmahjongg)

target_sources(kmahjongg PRIVATE
    main.cpp
    kmahjongg_debug.cpp
    kmahjongg.cpp
    boardlayout.cpp
    gamedata.cpp
    kmahjongglayoutselector.cpp
    kmahjongglayout.cpp
    editor.cpp
    frameimage.cpp
    gameitem.cpp
    gamebackground.cpp
    gameremovedtiles.cpp
    gameview.cpp
    gamescene.cpp
    selectionanimation.cpp
    demoanimation.cpp
    movelistanimation.cpp

    kmahjongg.qrc
)

ki18n_wrap_ui(kmahjongg
    settings.ui
    gametype.ui
)

ecm_qt_declare_logging_category(kmahjongg
    HEADER kmahjongg_debug.h
    IDENTIFIER KMAHJONGG_LOG
    CATEGORY_NAME kmahjongg
    OLD_CATEGORY_NAMES log_kmahjongg
    DESCRIPTION "KMahjongg game"
    EXPORT KMAHJONGG
)

kconfig_add_kcfg_files(kmahjongg prefs.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-kmahjongg.png")
ecm_add_app_icon(kmahjongg ICONS ${ICONS_SRCS})

target_link_libraries(kmahjongg
    KMahjongglib6
    KDEGames6
    KF6::CoreAddons
    KF6::XmlGui
    KF6::DBusAddons
    KF6::Crash
    KF6::I18n
    Qt6::Gui
)

install(TARGETS kmahjongg  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kmahjongg.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR})

ecm_qt_install_logging_categories(
    EXPORT KMAHJONGG
    FILE kmahjongg.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
kmahjongg (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:27:22 +0200

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6declarative-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkmahjongg-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kmahjongg/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmahjongg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmahjongg.git

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf6, ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 25.04.3

=== debian/changelog ===
kmahjongg (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:47:04 +0100

kmahjongg (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:50:01 +0100

kmahjongg (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:09:46 +0100

kmahjongg (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:52:59 +0100

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:25.04.3~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6declarative-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkmahjongg-dev (>= 4:25.04.3~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf6, ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 25.07.80

=== debian/changelog ===
kmahjongg (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:15:08 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.04.3~),
+               libkdegames6-dev (>= 4:25.07.80~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -22,7 +22,7 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkmahjongg-dev (>= 4:25.04.3~),
+               libkmahjongg-dev (>= 4:25.07.80~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),

## kmahjongg 25.07.90

=== debian/changelog ===
kmahjongg (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:50:21 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.07.80~),
+               libkdegames6-dev (>= 4:25.07.90~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -22,7 +22,7 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkmahjongg-dev (>= 4:25.07.80~),
+               libkmahjongg-dev (>= 4:25.07.90~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),

## kmahjongg 25.08.0

=== debian/changelog ===
kmahjongg (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:54:15 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.07.90~),
+               libkdegames6-dev (>= 4:25.08.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -22,7 +22,7 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkmahjongg-dev (>= 4:25.07.90~),
+               libkmahjongg-dev (>= 4:25.08.0~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),

## kmahjongg 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMAHJONGG_BASE_VERSION once new features are added

=== debian/changelog ===
kmahjongg (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:09:30 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.0~),
+               libkdegames6-dev (>= 4:25.08.1~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -22,7 +22,7 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkmahjongg-dev (>= 4:25.08.0~),
+               libkmahjongg-dev (>= 4:25.08.1~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),

## kmahjongg 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMAHJONGG_BASE_VERSION once new features are added

=== debian/changelog ===
kmahjongg (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:48:25 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.1~),
+               libkdegames6-dev (>= 4:25.08.2~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -22,7 +22,7 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkmahjongg-dev (>= 4:25.08.1~),
+               libkmahjongg-dev (>= 4:25.08.2~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),

## kmahjongg 25.08.2+p24.04+vstable+git20251011.1243

=== debian/changelog ===
kmahjongg (4:25.08.2+p24.04+vstable+git20251011.1243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 12:43:55 +0000

kmahjongg (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:13:38 +0000

kmahjongg (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 22:45:27 +0000

kmahjongg (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:54:18 +0000

kmahjongg (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:29:06 +0000

kmahjongg (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:29:20 +0000

kmahjongg (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:18:56 +0000

kmahjongg (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:26:42 +0000

kmahjongg (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:48:06 +0000

kmahjongg (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:33:40 +0000

kmahjongg (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:25:37 +0000

kmahjongg (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:21:29 +0000

kmahjongg (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:07:24 +0000

kmahjongg (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:38:00 +0000

kmahjongg (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:35:56 +0000

kmahjongg (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:14:33 +0000

kmahjongg (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:35:00 +0000

kmahjongg (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:26:17 +0000

kmahjongg (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:18:15 +0000

kmahjongg (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:57:56 +0000

kmahjongg (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 17:01:15 +0000

kmahjongg (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:32:11 +0000

kmahjongg (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 23:12:56 +0000

kmahjongg (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:03:16 +0000

kmahjongg (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:45:09 +0000

kmahjongg (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:24:16 +0000

kmahjongg (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:58:46 +0000

kmahjongg (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:34:08 +0000

kmahjongg (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:41:32 +0000

kmahjongg (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:03:32 +0000

kmahjongg (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:51:22 +0000

kmahjongg (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:03:18 +0000

kmahjongg (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:47:48 +0000

kmahjongg (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:10:59 +0000

kmahjongg (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:09:11 +0000

kmahjongg (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:21:46 +0000

kmahjongg (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:03:53 +0000

kmahjongg (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 15:48:38 +0000

kmahjongg (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:11:44 +0000

kmahjongg (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:06 +0000

kmahjongg (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:20:55 +0000

kmahjongg (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:56:45 +0000

kmahjongg (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021.12.06:13 +0000

kmahjongg (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:56:25 +0000

kmahjongg (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:24:06 +0000

kmahjongg (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:02:45 +0000



=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBIN_INSTALL_DIR=/usr/games

## kmahjongg 25.08.2+p24.04+vstable+git20251019.0536

=== debian/changelog ===
kmahjongg (4:25.08.2+p24.04+vstable+git20251019.0536-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:36:24 +0000

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-knewstuff-dev,
               kf6-kxmlgui-dev,
               libkdegames6-dev,
               libkmahjongg6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://games.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kmahjongg.git
Vcs-Browser: https://invent.kde.org/neon/kde/kmahjongg
Maintainer: Neon CI <neon@kde.org>

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf6, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 25.08.2+p24.04+vstable+git20251031.1046

=== debian/changelog ===
kmahjongg (4:25.08.2+p24.04+vstable+git20251031.1046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:46:12 +0000

## kmahjongg 25.08.2+p24.04+vunstable+git20251015.1555

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMAHJONGG_BASE_VERSION once new features are added

=== debian/changelog ===
kmahjongg (4:25.08.2+p24.04+vunstable+git20251015.1555-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:55:26 +0000

## kmahjongg 25.08.2+p24.04+vunstable+git20251020.1328

=== debian/changelog ===
kmahjongg (4:25.08.2+p24.04+vunstable+git20251020.1328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:28:39 +0000

## kmahjongg 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMAHJONGG_BASE_VERSION once new features are added

=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    128-apps-kmahjongg.png
    64-apps-kmahjongg.png
    48-apps-kmahjongg.png
    32-apps-kmahjongg.png
    22-apps-kmahjongg.png
    16-apps-kmahjongg.png
    sc-apps-kmahjongg.svgz
    DESTINATION  ${KDE_INSTALL_ICONDIR}
    THEME hicolor)

=== debian/changelog ===
kmahjongg (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:25:08 +0000

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:25.08.3~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6declarative-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkmahjongg-dev (>= 4:25.08.3~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf6, ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 25.08.3+p24.04+vunstable+git20251203.0308

=== debian/changelog ===
kmahjongg (4:25.08.3+p24.04+vunstable+git20251203.0308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:08:36 +0000

kmahjongg (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:42:05 +1000

## kmahjongg 25.08.3+p24.04+vunstable+git20251204.0605

=== debian/changelog ===
kmahjongg (4:25.08.3+p24.04+vunstable+git20251204.0605-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 06:05:06 +0000

## kmahjongg 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMAHJONGG_BASE_VERSION once new features are added

=== debian/changelog ===
kmahjongg (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:57:55 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.3~),
+               libkdegames6-dev (>= 4:25.11.80~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -22,7 +22,7 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkmahjongg-dev (>= 4:25.08.3~),
+               libkmahjongg-dev (>= 4:25.11.80~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),

## kmahjongg 25.11.90

=== debian/changelog ===
kmahjongg (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:08:07 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.80~),
+               libkdegames6-dev (>= 4:25.11.90~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -22,7 +22,7 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkmahjongg-dev (>= 4:25.11.80~),
+               libkmahjongg-dev (>= 4:25.11.90~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
